Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kohsuke.rngom.ast.builder
Interface NameClassBuilder<N extends ParsedNameClass,E extends ParsedElementAnnotation,L extends Location,A extends Annotations<E,L,CL>,CL extends CommentList<L>>

All Known Implementing Classes:
  NameClassBuilderImpl

    public interface NameClassBuilder<N extends ParsedNameClass,E extends ParsedElementAnnotation,L extends Location,A extends Annotations<E,L,CL>,CL extends CommentList<L>>

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

Method Summary
`N` | `annotate(N nc, A anno)`
`N` | `annotateAfter(N nc, E e)`
`N` | `commentAfter(N nc, CL comments)`
`N` | `makeAnyName(L loc, A anno)`
`N` | `makeAnyName(N except, L loc, A anno)` Caller must enforce constraints on except.
`N` | `makeChoice(java.util.List<N> nameClasses, L loc, A anno)`
`N` | `makeErrorNameClass()`
`N` | `makeName(java.lang.String ns, java.lang.String localName, java.lang.String prefix, L loc, A anno)`
`N` | `makeNsName(java.lang.String ns, L loc, A anno)`
`N` | `makeNsName(java.lang.String ns, N except, L loc, A anno)` Caller must enforce constraints on except.

Method Detail

### annotate

    N annotate(N nc,
               A anno)
                                       throws BuildException

  Throws:
    `BuildException`

### annotateAfter

    N annotateAfter(N nc,
                    E e)
                                            throws BuildException

  Throws:
    `BuildException`

### commentAfter

    N commentAfter(N nc,
                   CL comments)
                                           throws BuildException

  Throws:
    `BuildException`

### makeChoice

    N makeChoice(java.util.List<N> nameClasses,
                 L loc,
                 A anno)

### makeName

    N makeName(java.lang.String ns,
               java.lang.String localName,
               java.lang.String prefix,
               L loc,
               A anno)

### makeNsName

    N makeNsName(java.lang.String ns,
                 L loc,
                 A anno)

### makeNsName

    N makeNsName(java.lang.String ns,
                 N except,
                 L loc,
                 A anno)

  Caller must enforce constraints on except.

### makeAnyName

    N makeAnyName(L loc,
                  A anno)

### makeAnyName

    N makeAnyName(N except,
                  L loc,
                  A anno)

  Caller must enforce constraints on except.

### makeErrorNameClass

    N makeErrorNameClass()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD